<div class="suggestions-box" ng-class="{'active': actionConfig.active}" id="{{domId}}">
    <script type="text/ng-template" id="suggestion-popover-template.html">
        <div ng-bind-html="tip"></div>
    </script>

    <div class="suggestions-header">
        <button class="btn-collapse" type="button" ng-click="suggestion.isCollapsed = !suggestion.isCollapsed">
            <i class="fa" ng-class="{'fa-angle-down': !suggestion.isCollapsed, 'fa-angle-right': suggestion.isCollapsed}"></i>
        </button>
        <h3>{{displayName}}</h3>
        <button class="btn btn-link btn-xs btn-help btn-help-cq" type="button" uib-wtt-popover-template="'suggestion-popover-template.html'" popover-append-to-body="true" popover-trigger="mouseenter" popover-placement="top"><i class="fa fa-question-circle"></i></button>
        <div class="material-switch pull-right">
            <input id="{{suggestion.Tag}}" type="checkbox" ng-change="actionConfig.action({value:0})" ng-model="actionConfig.active" />
            <label for="{{suggestion.Tag}}" class="label-success"></label>
        </div>
        <uib-wtt-progressbar animate="true" max="suggestion.Importance" value="suggestion.displayScore" type="{{suggestion.progressType}}" ng-if="!actionConfig.display"></uib-wtt-progressbar>
        <div class="progress progress-gradient" ng-if="actionConfig.display=='gradient'">
            <div class="progress-bar progress-bar-left progress-bar-danger" role="progressbar">
                {{suggestion.Tag + 'LowScale'}}
            </div>
            <div class="progress-bar progress-bar-right progress-bar-danger" role="progressbar">
                {{suggestion.Tag + 'HighScale'}}
            </div>
            <i class="fa fa-caret-up fa-2x progress-indicator" aria-hidden="true" ng-style="{'left':suggestion.Importance + '%'}"></i>
        </div>
    </div>

    <div class="suggestions-content" uib-collapse="suggestion.isCollapsed">
        <div style="text-align: center;padding-bottom: 10px;" ng-if="actionConfig.buttons.length > 0">
            <div class="btn-group">
                <a type="button" class="btn btn-xs" ng-class="actionConfig.selected(btn) ? 'wtt-btn-success' : 'btn-default'" ng-click="actionConfig.action(btn)" ng-repeat="btn in actionConfig.buttons"><span ng-bind-html="btn.label"></span></a>
            </div>
        </div>
        <ul class="suggestions-list">
            <li ng-repeat="rule in suggestion.Rules" class="{{rule.Checked | checkedFilter}}">
                <i class="fa pull-left {{rule.Checked | ruleCheckedFilter}}"></i>
                <div class="table-cell">
                    <span ng-bind-html="rule.Text"></span>
                    <span ng-if="rule.ExtraInfo && rule.ExtraInfo.hasDisplayInfo">
                    <a href="javascript:;"  class="btn btn-link btn-xs no-padding" ng-click="viewExtraInfoList(rule)" title="Display List">
                        <i ng-class="{'fa-caret-down' : (data.viewExtraInfoToggle[rule.Text] == null || data.viewExtraInfoToggle[rule.Text] === true), 'fa-caret-up' : data.viewExtraInfoToggle[rule.Text] === false }" class="fa fa-lg" aria-hidden="true"></i>
                    </a>
                    </span>
                </div>
                <wtt-page-slideout info="sliderInfo[rule.Text]" ng-if="data.viewExtraInfoToggle[rule.Text] === false"></wtt-page-slideout>
            </li>
            <li ng-if="!suggestion.Rules">
                </i><span ng-bind-html="tip"></span>
            </li>
        </ul>
    </div>
</div>

